<?php
namespace Teknisa\SM\Controller;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\SM\Service\Sm00029000LocalAtendimentoService as LocalAtend;

class Sm00029000LocalAtendimentoController extends SMCrud
{
    protected $dataSourceName = 'estruturam_widget';
    protected $LocalAtend;
     
    public function __construct ($crudService, $environment, LocalAtend $LocalAtend) {
        parent::__construct($crudService, $environment);
        $this->LocalAtend = $LocalAtend;
    }
    
    /**
     * Insere as tabelas ParcNegocio, EndercoParc, EstruturaM, EstruturaH e HierarquiaOrg
     */
    public function inserirTudo(Request\Row $request, Response $response) {
        try{
            $row = $request->getRow();
            
            $resultado = $this->LocalAtend->inserirTudo($row);
            
            $response->addDataSet(new DataSet($this->dataSourceName, array($resultado)));
        }
        catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    } 
    
    /**
     * Edita as tabelas ParcNegocio, EndercoParc, EstruturaM, EstruturaH e HierarquiaOrg
     */
    public function editarTudo(Request\Row $request, Response $response) {
        try{
            $row = $request->getRow();
            
            $this->LocalAtend->editarTudo($row);
        }
        catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    } 
    
    /**
     * Exclui as tabelas HierarquiaOrg, EstruturaH, EstruturaM, EndercoParc e ParcNegocio
     */
    public function deletarTudo(Request\Row $request, Response $response) {
        try{
            $row = $request->getRow();
            
            $this->LocalAtend->deletarTudo($row);
        }
        catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    } 
}
?>


