<?php

namespace Teknisa\SM\Util\Procedure;

use Doctrine\DBAL\Connection;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class FctCopiaFormPrecoItCont {
    
    const NOME = "FCT_COPIA_FORM_PRECO_ITCONT";
    private $connection;
    
    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }
    
    /**
     * Executa a procedure.
     *  
     * @return string
     */
    public function executar($nrformprecoservico, $nrorg, $operador, $nrseqcontrato, $nritemocontrato){
        $procedure = new StoredProcedure($this->connection, self::NOME);

        $procedure->addParam(new Param("P_NRFORMPRECOSERVICO",  Param::PARAM_INPUT,    $nrformprecoservico, Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_NRORG",               Param::PARAM_INPUT,    $nrorg,              Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_OPERADOR",            Param::PARAM_INPUT,    $operador,           Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_NRSEQCONTRATO",       Param::PARAM_INPUT,    $nrseqcontrato,      Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_NRITEMOCONTRATO",     Param::PARAM_INPUT,    $nritemocontrato,    Param::PARAM_TYPE_STR));
        
        $resultado = $procedure->execute();
    }
    
}

?>
 
 
 
 
 
 
 
 